Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Java API Reference 10g Release 2 (10.2) B14348-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.olapi.data.cursor
Class CursorInput

    java.lang.Object
      |
      +--oracle.olapi.data.cursor.CursorInput

public class CursorInput
extends java.lang.Object

An object that specifies a value for a `Source` object. You pass an array of `CursorInput` objects to the `createCursor` method of a `CursorManager` object if you created the `CursorManager` using a non-null `inputSources` argument.

You can create a `CursorInput` in one of the following ways:

- By specifying an initial value
- By specifying a `ValueCursor`

If you specify an initial value, then you can later change the value of the `CursorInput` by calling its `setCurrentValue` method or one of its data type-specific methods, such as `setCurrentString`.

If you specify a `ValueCursor`, then the initial value of the `CursorInput` is the current value of the `ValueCursor` at the time you created the `CursorInput`. You can later automatically change the value of the `CursorInput` by calling the `synchronize` method. The `synchronize` method sets the value of the `CursorInput` to the current value of the `ValueCursor` at the time. You can also change the initial value by calling the `setCurrentValue` method or one of the data type-specific methods for setting the value.

See Also:
  `CursorManager`

Constructor Summary
`CursorInput(boolean initialValue)` Creates a `CursorInput` with a `boolean` object as its initial value.
`CursorInput(java.util.Date initialValue)` Creates a `CursorInput` with a `Date` object as its initial value.
`CursorInput(double initialValue)` Creates a `CursorInput` with a `double` object as its initial value.
`CursorInput(float initialValue)` Creates a `CursorInput` with a `float` object as its initial value.
`CursorInput(int initialValue)` Creates a `CursorInput` with a `int` object as its initial value.
`CursorInput(java.lang.Object initialValue)` Creates a `CursorInput` with an `Object` object as its initial value.
`CursorInput(short initialValue)` Creates a `CursorInput` with a `short` object as its initial value.
`CursorInput(java.lang.String initialValue)` Creates a `CursorInput` with a `String` object as its initial value.
`CursorInput(ValueCursor valueCursor)` Creates a `CursorInput` with the current value of a `ValueCursor` as its initial value.

Method Summary
`boolean` | `getCurrentBoolean()` Gets the current `boolean` value of the `CursorInput`.
`java.util.Date` | `getCurrentDate()` Gets the current `Date` value of the `CursorInput`.
`double` | `getCurrentDouble()` Gets the current `double` value of the `CursorInput`.
`float` | `getCurrentFloat()` Gets the current `float` value of the `CursorInput`.
`int` | `getCurrentInteger()` Gets the current `int` value of the `CursorInput`.
`short` | `getCurrentShort()` Gets the current `short` value of the `CursorInput`.
`java.lang.String` | `getCurrentString()` Gets the current `String` value of the `CursorInput`.
`java.lang.Object` | `getCurrentValue()` Gets the current value of the `CursorInput`.
`interface` | `getSourceType()` Gets the `SourceType` of the `CursorInput`; this method is not used by OLAP API application developers.
`ValueCursor` | `getValueCursor()` Gets the `ValueCursor` of a `CursorInput` that was created with the `CursorInput(ValueCursor valueCursor)` constructor.
`void` | `setCurrentBoolean(boolean value)` Sets the specified `boolean` as the current value of the `CursorInput`.
`void` | `setCurrentDate(java.util.Date value)` Sets the value of the specified `Date` as the current value of the `CursorInput`.
`void` | `setCurrentDouble(double value)` Sets the specified `double` as the current value of the `CursorInput`.
`void` | `setCurrentFloat(float value)` Sets the specified `float` as the current value of the `CursorInput`.
`void` | `setCurrentInteger(int value)` Sets the specified `int` as the current value of the `CursorInput`.
`void` | `setCurrentShort(short value)` Sets the specified `short` as the current value of the `CursorInput`.
`void` | `setCurrentString(java.lang.String value)` Sets the value of the specified `String` as the current value of the `CursorInput`.
`void` | `setCurrentValue(java.lang.Object value)` Sets the value of the specified `Object` as the current value of the `CursorInput`.
`void` | `synchronize()` Sets the value of a `CursorInput` that was created with a `ValueCursor` to the current value of the `ValueCursor`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CursorInput

    public CursorInput(java.lang.Object initialValue)

  Creates a `CursorInput` with an `Object` object as its initial value.
  Parameters:
    `initialValue` - The `Object` that you want to use as the initial value of this `CursorInput`.

### CursorInput

    public CursorInput(java.lang.String initialValue)

  Creates a `CursorInput` with a `String` object as its initial value.
  Parameters:
    `initialValue` - The `String` that you want to use as the initial value of this `CursorInput`.

### CursorInput

    public CursorInput(java.util.Date initialValue)

  Creates a `CursorInput` with a `Date` object as its initial value.
  Parameters:
    `initialValue` - The `Date` that you want to use as the initial value of this `CursorInput`.

### CursorInput

    public CursorInput(short initialValue)

  Creates a `CursorInput` with a `short` object as its initial value.
  Parameters:
    `initialValue` - The `short` that you want to use as the initial value of this `CursorInput`.

### CursorInput

    public CursorInput(int initialValue)

  Creates a `CursorInput` with a `int` object as its initial value.
  Parameters:
    `initialValue` - The `int` that you want to use as the initial value of this `CursorInput`.

### CursorInput

    public CursorInput(float initialValue)

  Creates a `CursorInput` with a `float` object as its initial value.
  Parameters:
    `initialValue` - The `float` that you want to use as the initial value of this `CursorInput`.

### CursorInput

    public CursorInput(double initialValue)

  Creates a `CursorInput` with a `double` object as its initial value.
  Parameters:
    `initialValue` - The `double` that you want to use as the initial value of this `CursorInput`.

### CursorInput

    public CursorInput(boolean initialValue)

  Creates a `CursorInput` with a `boolean` object as its initial value.
  Parameters:
    `initialValue` - The `boolean` that you want to use as the initial value of this `CursorInput`.

### CursorInput

    public CursorInput(ValueCursor valueCursor)

  Creates a `CursorInput` with the current value of a `ValueCursor` as its initial value.
  Parameters:
    `initialValue` - The `ValueCursor` that has the values that you want for the `CursorInput`.

Method Detail

### getCurrentValue

    public java.lang.Object getCurrentValue()

  Gets the current value of the `CursorInput`.
  Returns:
    An `Object` that has the current value of this `CursorInput`.

### getCurrentString

    public java.lang.String getCurrentString()

  Gets the current `String` value of the `CursorInput`.
  Returns:
    A `String` that has the current value of this `CursorInput`.

### getCurrentDate

    public java.util.Date getCurrentDate()

  Gets the current `Date` value of the `CursorInput`.
  Returns:
    A `Date` that has the current value of this `CursorInput`.

### getCurrentShort

    public short getCurrentShort()

  Gets the current `short` value of the `CursorInput`.
  Returns:
    A `short` that is the current value of this `CursorInput`.

### getCurrentInteger

    public int getCurrentInteger()

  Gets the current `int` value of the `CursorInput`.
  Returns:
    A `int` that is the current value of this `CursorInput`.

### getCurrentFloat

    public float getCurrentFloat()

  Gets the current `float` value of the `CursorInput`.
  Returns:
    A `float` that is the current value of this `CursorInput`.

### getCurrentDouble

    public double getCurrentDouble()

  Gets the current `double` value of the `CursorInput`.
  Returns:
    A `double` that is the current value of this `CursorInput`.

### getCurrentBoolean

    public boolean getCurrentBoolean()

  Gets the current `boolean` value of the `CursorInput`.
  Returns:
    A `boolean` that is the current value of this `CursorInput`.

### setCurrentValue

    public void setCurrentValue(java.lang.Object value)

  Sets the value of the specified `Object` as the current value of the `CursorInput`.
  Parameters:
    `value` - The `Object` that you want to use as the value of this `CursorInput`.

### setCurrentString

    public void setCurrentString(java.lang.String value)

  Sets the value of the specified `String` as the current value of the `CursorInput`.
  Parameters:
    `value` - The `String` that you want to use as the value of this `CursorInput`.

### setCurrentDate

    public void setCurrentDate(java.util.Date value)

  Sets the value of the specified `Date` as the current value of the `CursorInput`.
  Parameters:
    `value` - The `Date` that you want to use as the value of this `CursorInput`.

### setCurrentShort

    public void setCurrentShort(short value)

  Sets the specified `short` as the current value of the `CursorInput`.
  Parameters:
    `value` - The `short` that you want to use as the value of this `CursorInput`.

### setCurrentInteger

    public void setCurrentInteger(int value)

  Sets the specified `int` as the current value of the `CursorInput`.
  Parameters:
    `value` - The `int` that you want to use as the value of this `CursorInput`.

### setCurrentFloat

    public void setCurrentFloat(float value)

  Sets the specified `float` as the current value of the `CursorInput`.
  Parameters:
    `value` - The `float` that you want to use as the value of this `CursorInput`.

### setCurrentDouble

    public void setCurrentDouble(double value)

  Sets the specified `double` as the current value of the `CursorInput`.
  Parameters:
    `value` - The `double` that you want to use as the value of this `CursorInput`.

### setCurrentBoolean

    public void setCurrentBoolean(boolean value)

  Sets the specified `boolean` as the current value of the `CursorInput`.
  Parameters:
    `value` - The `boolean` that you want to use as the value of this `CursorInput`.

### synchronize

    public void synchronize()

  Sets the value of a `CursorInput` that was created with a `ValueCursor` to the current value of the `ValueCursor`. This method does not change the value of a `CursorInput` that was created by any of the constructors other than `CursorInput(ValueCursor valueCursor)`.

### getValueCursor

    public final ValueCursor getValueCursor()

  Gets the `ValueCursor` of a `CursorInput` that was created with the `CursorInput(ValueCursor valueCursor)` constructor.
  Returns:
    The `ValueCursor` with which the `CursorInput` was created.

### getSourceType

    public final getSourceType()

  Gets the `SourceType` of the `CursorInput`; this method is not used by OLAP API application developers.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Java API Reference 10g Release 2 (10.2) B14348-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002, 2005, Oracle. All rights reserved.